Uploaded image for project: 'Nuxeo Platform'
  1. Nuxeo Platform
  2. NXP-21524

Fix backward compatibility with the ACL enricher

    XMLWordPrintable

    Details

      Description

      In 6.0, the node listing the ACES was named ace, see ACLContentEnricher
      Since 7.10 and NXP-18038, the node is named aces, see ACLJsonEnricher which is better because it represents an array but breaks the backward compatibility.

      We need to find a way to provide backward compat, maybe by adding a ace node when a system property indicates that a 6.0 compat is needed.

      Add a global flag to enable/disable the 6.0 compatibility nuxeo.lts2014.compatibility.enabled

        Attachments

          Issue Links

            Activity

              People

              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Time Tracking

                  Estimated:
                  Original Estimate - Not Specified
                  Not Specified
                  Remaining:
                  Remaining Estimate - 0 minutes
                  0m
                  Logged:
                  Time Spent - 6 hours
                  6h

                    PagerDuty

                    Error rendering 'com.pagerduty.jira-server-plugin:PagerDuty'. Please contact your Jira administrators.